# -*- encoding: utf-8 -*-
# stub: netchk 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "netchk".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://github.com/moray95/netchk", "source_code_uri" => "https://github.com/moray95/netchk" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Moray Baruh".freeze]
  s.date = "2020-06-28"
  s.description = "# Netchk\n\nSimple tool to troubleshoot internet connectivity issues. This tool verifies:\n\n- your computer has at least one IP address\n- you have at least one DNS configured\n- you can reach the configured nameservers\n- the nameservers can resolve hosts\n\nFinally, some ICMP ping statistics are presented with average durations and error rates. \n\n## Installation\n\n```sh\ngem install netchk\n```\n\n## Usage\n\nJust run `netchk` from your terminal and basic diagnosis will start showing you progress and\nany error if present.\n\nNote: On Linux system, this gem requires `sudo` to perform the ICMP ping operations. On macOS, this is not needed.\n\nYou also can configure how netchk verifies your connections by configuring a `~/.netchk.yaml` or `~/.netchk.yml` file\nlike below.\n\n```yaml\n# Settings to test DNS server connectivity.\ndns:\n  # Path to resolv.conf file to check presence and connectivity of DNS.\n  # Path should be absolute to avoid issues when running netchk\n  # from different directories.\n  resolv.conf: /etc/resolv.conf\n\n# Settings to test DNS resolution.\nresolv:\n  # Path to resolv.conf file to use for testing DNS resolution.\n  # Path should be absolute to avoid issues when running netchk\n  # from different directories. It is advised to be the same\n  # as dns.resolv.conf.\n  resolv.conf: /etc/resolv.conf\n  # The list of domains to test for DNS resolution.\n  domains:\n    - google.com\n    - youtube.com\n    - facebook.com \n\n# Settings to test icmp ping.\nicmp:\n  # A list of hosts to ping with ICMP. It is advised to use\n  # IP addresses instead of domains to rule out any issues with\n  # DNS resolution, which is tested separately.\n  hosts:\n    - 1.1.1.1\n    - 8.8.8.8\n  # The number of ping to issue each host.\n  count: 20\n  # The duration in seconds to wait between each ping.\n  # Setting this value too low might cause timeouts.\n  interval: 0.2\n```     \n\nEach value is optional. If one is missing the default value will be used. The file above shows the default values.\n\n## Contributing\n\nBug reports and pull requests are welcome on GitHub at https://github.com/moray95/netchk.\n".freeze
  s.executables = ["netchk".freeze]
  s.files = ["bin/netchk".freeze]
  s.homepage = "https://github.com/moray95/netchk".freeze
  s.licenses = ["WTFPL".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Simple internet troubleshooter.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<net-ping>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, [">= 0"])
  else
    s.add_dependency(%q<net-ping>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-performance>.freeze, [">= 0"])
  end
end
